Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

From: "Ogaki, Kenichi" <[email-masked]>
Date: Mon, 4 Jan 2016 11:16:22 +0900

Dear All,

Additional comments are here:

*svc-id
The type "svc-id" is used for lots of data node. Is this necessary?
When we say "vpn-id", this is obviously an id by its name, and the only thing to define is how we represent this, string, integer or something… If the type "svc-id" defines the length of string or something constraint, it makes sense.  

*routing-protocol
The current model allows multiple routing protocols for a site-network-access. It's technically possible, but is there any use case for l3vpn service?
#Is this only for dual-stack, one for IPv4 and the other for IPv6?

*QoS classification
Since 5.2.6.1.1. says "The order of rule is defined by the "id" leaf.  The lowest "id" MUST be processed first.", we have to change the "id" value whenever we want to reorder the existing rules. But the "id" is key, and a key should not be changed in DB principle. Although it may be an implementation matter, can we just use "ordered-by user" statement for the list "rules"?

*std-qos-profile/custom-qos-profile
If "std-qos-profile and custom-qos-profile cannot be used at the same time." in 5.1.6.1.2, we can use a choice statement for std-qos-profile and custom-qos-profile.

*traffic protection
Can we cover the function of "traffic-protection" by "site-network-access/availability"?

*vpn-policy
For an readability of the model, the node name "vpn-policy/entries/id/vpn/vpn" should be "vpn-policy/entries/id/vpn/vpn-id".

*notification
How about defining notification node under vpn-svc and site-network-access?
We sometimes have to actively inform our customers of a failure or something.
What kind of the information depends on each operator, then anydata or anyxml suits this.

ex.)
container site-network-accesses {
    list site-network-access {
        key site-network-access-id;
        ...
        notification info {
            anydata data;
        }
        ...
}

-Editorials
Sec. 5.1.2.
2nd and 3rd configuration examples still use "name" and "id".

Sec. 5.2.
typo "ressources" in Location description.
Sec. 5.2.1.2
typo "ressources" in 2nd paragraph

Sec. 5.2.5.7.
In 2nd paragraph, AS number is defined in routing-protocol/bgp in the current model, and customer-specific-information is already deleted.
The configuration example should also include "autonomous-system".

Sec. 6.
The configuration example still use "name" and "id".

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

>https://trac.tools.ietf.org/wg/l3sm/trac/ticket/12

Two comments for the current routing-protocols:

1. Node name "cascaded-lan-prefixes" should be reworded, for example of "customer-lan-prefixes".
No longer only for *cascaded* lan.

2. Should we have a mean to retrieve the provider autonomous system number for bgp type?
ro node/ops state is enough.
In the case of customer managed CE, our customer must know what AS number the PE has.
#Usually, we let them know it outside the user interface.

Merry X'mas & Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:
As a follow-up to the discussion during the L3SM interim call we had in December 2015, We as chairs have filed two issue tickets in the issue tracker
https://trac.tools.ietf.org/wg/l3sm/trac/ticket/12
https://trac.tools.ietf.org/wg/l3sm/trac/ticket/13

Authors have revised ID based on the discussion and agreed point during interim call.
Thanks Stephane to get this done and close most of open issues we had in the issue tracker except the following two issues:
1.Inventory ops state issue
2. VPN merging issue
The diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-l3sm-l3vpn-service-model-02
Please review the changes and let us know if there is anything missed or addition change that needs to be incorporated in.

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the L3VPN Service Model  Working Group of the IETF.

        Title           : YANG Data Model for L3VPN service delivery
        Authors         : Stephane Litkowski
                          Rob Shakir
                          Luis Tomotaki
                          Kevin D'Souza
	Filename        : draft-ietf-l3sm-l3vpn-service-model-02.txt
	Pages           : 100
	Date            : 2015-12-15

Abstract:
   This document defines a YANG data model that can be used to deliver a
   Layer 3 Provider Provisioned VPN service.  The document is limited to
   the BGP PE-based VPNs as described in RFC4110 and RFC4364.  This
   model is intended to be instantiated at management system to deliver
   the overall service.  This model is not a configuration model to be
   used directly on network elements.  This model provides an abstracted
   view of the Layer 3 IPVPN service configuration components.  It will
   be up to a management system to take this as an input and use
   specific configurations models to configure the different network
   elements to deliver the service.  How configuration of network
   elements is done is out of scope of the document.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-l3sm-l3vpn-service-model/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-l3sm-l3vpn-service-model-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-l3sm-l3vpn-service-model-02

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
_______________________________________________
L3sm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/l3sm

_______________________________________________
L3sm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/l3sm

---

From: <[email-masked]>
Date: Mon, 4 Jan 2016 15:09:15 +0000

Hi,

Best wishes for this new year.

Pls find inline comments.

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]] 
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id
The type "svc-id" is used for lots of data node. Is this necessary?
When we say "vpn-id", this is obviously an id by its name, and the only thing to define is how we represent this, string, integer or something… If the type "svc-id" defines the length of string or something constraint, it makes sense.  
[SLI] svc-id just brings consistency on how we define all the identifiers in the model (we ensure easily that all are using the same encoding => string)

*routing-protocol
The current model allows multiple routing protocols for a site-network-access. It's technically possible, but is there any use case for l3vpn service?
#Is this only for dual-stack, one for IPv4 and the other for IPv6?
[SLI] It is really usual to have dynamic routing + static routing at the same time. (e.g. dynamic routing for customer LANs, + static routing for admin)

*QoS classification
Since 5.2.6.1.1. says "The order of rule is defined by the "id" leaf.  The lowest "id" MUST be processed first.", we have to change the "id" value whenever we want to reorder the existing rules. But the "id" is key, and a key should not be changed in DB principle. Although it may be an implementation matter, can we just use "ordered-by user" statement for the list "rules"?
[SLI] Agree, I will add the ordered-by user. Do you see other lists that would require such user ordering ?

*std-qos-profile/custom-qos-profile
If "std-qos-profile and custom-qos-profile cannot be used at the same time." in 5.1.6.1.2, we can use a choice statement for std-qos-profile and custom-qos-profile.
[SLI] Agree, will fix it.

*traffic protection
Can we cover the function of "traffic-protection" by "site-network-access/availability"?
[SLI] Ack, I moved the traffic protection under availability.

*vpn-policy
[SLI] Fixed.

*notification

[SLI] Notification are normally not part of the tree, we can create rpcs or notifications if necessary to retrieve operational infos.
Could you raise a separate thread to discuss the need of notifications ?

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

[SLI] Thanks for catching the errors, as the model evolved a lot, it s hard to keep all the example synchronized :)

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Tue, 5 Jan 2016 14:13:02 +0900

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

[KO] I can't find any other ordered list.

*traffic protection

*vpn-policy

*notification

[KO] I will raise a separate thread.

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Mon, 11 Jan 2016 18:47:58 +0900

Hi Stephane and All,

One more comment.

Leaving issue#10 and vpn-policy in vpn-svc discussion aside, the vpn-policy in the current model should be under site-network access?

According to section 5.2.2, a vpn-policy should be controlled per pair of a PE and a site, corresponding to site-network-access /ip-connection.
When we place the vpn-policy directly under "sites", how can we relate a vpn-policy to a specific PE.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: <[email-masked]>
Date: Mon, 11 Jan 2016 14:37:20 +0000

Hi Kenichi,

IMO, for a multihomed site, the VPN policy will always be the same on each network connection  the site is using. Do you see a reason why it could be different ?

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Tue, 12 Jan 2016 10:29:25 +0900

Hi Stephane,

If a simple multihomed site case is, I agree.
But, as the diagram in section 5.2.2, a site connects to multiple VPNs and each vpn policy is controlled per connection. The current model cannot differentiate vpn policy per connection.

The current model cannot realize the case described in the following sentence, for example.
 
>   Consider a site#1 in VPN3 that must communicate only in VPN3, in this
>   case, the vpn-policy will be similar to Site#1 of VPN1.  The VRF on
>   PE5 for VPN3 will be so provisioned by the management system using
>   RT3 value as import and export value.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: Qin Wu <[email-masked]>
Date: Tue, 12 Jan 2016 02:48:44 +0000

Stephane and Kenici:
In multihomed site case, there are multiple PEs and each PE is corresponding to one site-network-access.

Talking about the case in diagram of section 5.2.2, the vpn policy in the current model support attaching a site to one or multiple VPN, distribute route across VPNs, however in case of multiple network accesses within one site, Do we need to attach each network access to different VPNs? Do we need to distribute route to specific network access or subnet within a VPN?
If there is a need, I am wondering whether we can use route filter to do this job.

Suppose a specific LAN LAN1 of site 2 must communicate with VPN2, LAN1 of site2 corresponds to site-network-access1,
Then we can use filter to represent LAN1 of site 2 and map LAN1 to specific site network access, can we?

Stephane, please correct me if I am wrong.

-Qin
-----邮件原件-----
发件人: L3sm [mailto:[email-masked]] 代表 Ogaki, Kenichi
发送时间: 2016年1月12日 9:29
收件人: [email-masked]; [email-masked]
主题: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Tue, 12 Jan 2016 12:43:49 +0900

Hi Qin,

>Suppose a specific LAN LAN1 of site 2 must communicate with VPN2, LAN1 of site2 corresponds to site-network-access1, Then we can use filter >to represent LAN1 of site 2 and map LAN1 to specific site network access, can we?

Although I thought the same idea at first, it seems not good idea. In this case, customer must register all the lan addresses to which VPN they are advertised. It's consuming and causes misconfiguration.
When our customer uses bgp as the routing protocol, they don't want to write each lan address like static routing.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Tuesday, January 12, 2016 11:49 AM
To: Ogaki, Kenichi; [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Stephane and Kenici:

Suppose a specific LAN LAN1 of site 2 must communicate with VPN2, LAN1 of site2 corresponds to site-network-access1, Then we can use filter to represent LAN1 of site 2 and map LAN1 to specific site network access, can we?

-Qin
-----邮件原件-----
发件人: L3sm [mailto:[email-masked]] 代表 Ogaki, Kenichi
发送时间: 2016年1月12日 9:29
收件人: [email-masked]; [email-masked]
主题: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: <[email-masked]>
Date: Tue, 12 Jan 2016 09:08:04 +0000

Hi,

There should be something I'm missing here ...

First, 5.2.2 text was not reviewed after creating the hierarchy between sites and accesses. So may be there is something to fix.

But reading the text again, I think this is still applicable.
In the diagram, a site connects to multiple VPNs but VPN policy is not controlled per connection from a modeling point of view. It is controlled per site. The diagram has only single homed site so may be the confusion comes from here.
Yes the model cannot differentiate vpn policy per connection, but IMO, this is not desirable.

I don't see why the model cannot achieve the paragraph you pointed.

<sites>
	<site-id>Site#3</site-id>
	<vpn-policy>
		<entries>
			<id>1</id>
			<vpn>
				<vpn-id>VPN3</vpn-id>
				<site-role>any-to-any</site-role>
			</vpn>
		</entries>
	</vpn-policy>
</sites>

The second part of the paragraph you mentioned talks about the device configuration, not the modeling part. So the model will allow PE5 to be configured with the VPN policy (import/export RT3).
May be there is also a confusion there introduced by the text.

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]] 
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Tue, 12 Jan 2016 23:33:11 +0900

Hi Stephane,

Could you model the site#1 in the diagram, including all the VPNs and connections?
How can we make VPN3_Site1 only talk to VPN3?

<sites>
  <site-id>Site#1</site-id>
  <site-network-accesses>
    <site-network-access>
      <site-network-access-id>VPN1_Site1</site-network-access-id>
      <!--ip-connection to PE1 -->  
      ...
    </site-network-access>
    <site-network-access>
      <site-network-access-id>VPN2_Site1</site-network-access-id>
      <!--ip-connection to PE3 -->  
      ...
    </site-network-access>
    <site-network-access>
      <site-network-access-id>VPN3_Site1</site-network-access-id>
      <!--ip-connection to PE5 -->  
      ...
    </site-network-access>
  </site-network-accesses>
  <vpn-policy>
    <entries>
      <id>1</id>
      <vpn>
        <vpn-id>VPN1</vpn-id>
        <site-role>any-to-any-role</site-role>
      </vpn>
    </entries>
    <entries>
      <id>2</id>
      <vpn>
        <vpn-id>VPN2</vpn-id>
        <site-role>hub-role</site-role>
      </vpn>
    </entries>
    <entries>
      <id>3</id>
      <vpn>
        <vpn-id>VPN3</vpn-id>
        <site-role>any-to-any-role</site-role>
      </vpn>
    </entries>
  </vpn-policy>
</sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: <[email-masked]>
Date: Thu, 14 Jan 2016 08:35:39 +0000

Hi,

I think there is a misunderstanding in the naming used in the diagram.

VPN1_site1 and VPN2_site2 are not referring to the same customer site. VPN_site1 means site number#1 in VPN1. And VPN2_site1 means site number#1 in VPN2, but these are not the same customer site.
I can change the naming to ensure better reading and prevent such misunderstanding. 

As we discussed there is no real use case to have a multihomed site with one connection belonging to VPN1 and another connection to VPN2. If multiple VPNs are used by the site, LAN will be used in the VPN policy to express it.

Best Regards,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]] 
Sent: Tuesday, January 12, 2016 15:33
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

<sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Fri, 15 Jan 2016 10:20:11 +0900

Hi Stephane,

>As we discussed there is no real use case to have a multihomed site with one connection belonging to VPN1 and another connection to VPN2.

We have many use cases.
When a site is a multi tenant one, each tenant basically connects each different vpn.
In cases that the site is: 
-a DC
-a large office like HQ. Each administrative section/department sometimes connects each different vpn.
-a site used by a second provider.

>If multiple VPNs are used by the site, LAN will be used in the VPN policy to express it.

As I sent to Qin in the following email, In the above cases, to use LAN is not good idea. When a customer uses a dynamic routing protocol, bgp or ospf, they don't write lan-prefixes and don't want to write each lan-prefixes one by one. It obviously kills the merit to use a dynamic routing protocol.
https://mailarchive.ietf.org/arch/msg/l3sm/5mSlmD1QehjPz-HZIW12pzxgFao

Can we just duplicate vpn-policy under site-network-access?
Or we can use choice statement if any inconsistency occurs.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, January 14, 2016 5:36 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

Best Regards,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 15:33
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

<sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: <[email-masked]>
Date: Fri, 15 Jan 2016 11:24:42 +0000

Hi,

On first point, this is what we call internally the subVPN case. One site is in reality multiple sub sites belonging to different VPNs.
This can be modeled today as a collection of different VPN sites.

Regarding the LAN config :
- for routing, it's only necessary for static. In case of dynamic routing, you do not have to mention the LAN.
- for the multiVPN case, you have no choice, you need to bind LANs to VPNs, that's why you need to put LANs in the VPN policy and attach them to a VPN. There is no other possibility, as the customer has to express what part of the site belongs to what VPN.

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]] 
Sent: Friday, January 15, 2016 02:20
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

We have many use cases.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, January 14, 2016 5:36 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

Best Regards,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 15:33
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

<sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: <[email-masked]>
Date: Fri, 15 Jan 2016 11:40:31 +0000

One addition, from a service point of view, if we want to model the hierarchy site vs subsite, we can add a subsite hierarchy under site to mark the relationship, this will complexify a bit the model. But the site-network-access is really the network attachment and I do not want to use it to express subsites. As mentioned in the previous email, subsite can already be modeled as a separated site : only relationship is missing.

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]] 
Sent: Friday, January 15, 2016 02:20
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

We have many use cases.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, January 14, 2016 5:36 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

Best Regards,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 15:33
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

<sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Fri, 15 Jan 2016 22:27:40 +0900

Hi Stephane,

Site means site. IMO, the location node in the current model also implies that a site is a physical customer site.

This must depend how each operator uses site-id (mapping to their own existing site id).
Since this must affect the other existing system's modelling, especially to billing mechanism in BSS, this must be carefully dealt with and must leave some options. 

>- for the multiVPN case, you have no choice, you need to bind LANs to VPNs, that's why you need to put LANs in the VPN policy and attach them 
>to a VPN. There is no other possibility, as the customer has to express what part of the site belongs to what VPN.

I can't agree this. This means that a customer cannot use any dynamic routing protocol in this case. Why a real service is restricted by a service model definition?

Although I don't think a smart idea, if we can put a lan-tag under bgp or ospf, we can differentiate VPN with LAN as same as static routing in the current model. 

Thanks,
Kenichi

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Friday, January 15, 2016 02:20
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

We have many use cases.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, January 14, 2016 5:36 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

Best Regards,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 15:33
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

<sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: <[email-masked]>
Date: Fri, 15 Jan 2016 13:57:37 +0000

>>- for the multiVPN case, you have no choice, you need to bind LANs to 
>>VPNs, that's why you need to put LANs in the VPN policy and attach them to a VPN. There is no other possibility, as the customer has to express what part of the site belongs to what VPN.

>Although I don't think a smart idea, if we can put a lan-tag under bgp or ospf, we can differentiate VPN with LAN as same as static routing in the current model.

You are mixing routing protocol and VPN policy which are two different things.
You can use any dynamic routing protocol and as pointed, for routing you do not need to put LANs. Any address will be learned dynamically from the customer site.

Now talking about VPN policy, you need a way to identify from a modeling point of view, which part of the site is attached to which VPN.
From a modeling perspective, how a customer can express a part of a site ? You definitely need to run in some policy details. Now we are supporting per prefix mapping (LAN config) for the VPN policy and also lan-tag which brings more "dynamicity". So I do not really see how we can improve and it does not prevent any dynamicity or usage or dynamic routing protocols.

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]] 
Sent: Friday, January 15, 2016 14:28
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

>- for the multiVPN case, you have no choice, you need to bind LANs to 
>VPNs, that's why you need to put LANs in the VPN policy and attach them to a VPN. There is no other possibility, as the customer has to express what part of the site belongs to what VPN.

Thanks,
Kenichi

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Friday, January 15, 2016 02:20
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

We have many use cases.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, January 14, 2016 5:36 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

Best Regards,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 15:33
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

<sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Fri, 15 Jan 2016 23:29:00 +0900

Hi Stephane,

>From a modeling perspective, how a customer can express a part of a site ? You definitely need to run in some policy details. Now we are supporting 
>per prefix mapping (LAN config) for the VPN policy and also lan-tag which brings more "dynamicity".

The problem is here. There is no dynamicity in what you call subVPN case.
Customers really exist connecting to each different VPN per ip-connection by using bgp. They don't want to inform us of each lan prefixes when they change their internal topology. That's the dynamic routing merit.

All the best.
Kenichi

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Friday, January 15, 2016 14:28
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Thanks,
Kenichi

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Friday, January 15, 2016 02:20
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

We have many use cases.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, January 14, 2016 5:36 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

Best Regards,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 15:33
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

<sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: <[email-masked]>
Date: Mon, 18 Jan 2016 08:55:29 +0000

Hi,

I think you are mixing subVPN and multiVPN modeling.

multiVPN is a single site and single routing (single logical access) where some LANs belongs to one or more VPNs, and some others to others VPNs. This can be modeled as follows :
<sites>
	<site-id>MultiVPN-site</site-id>
	<vpn-policy>
		<entries>
			<id>1</id>
			<filter>
				<lan-tag>100</lan-tag>
			</filter>
			<vpn>
				<vpn-id>VPN1</vpn-id>
				<site-role>any-to-any</site-role>
			</vpn>
		</entries>
		<entries>
			<id>2</id>
			<filter>
				<lan-tag>200</lan-tag>
			</filter>
			<vpn>
				<vpn-id>VPN2</vpn-id>
				<site-role>any-to-any</site-role>
			</vpn>
		</entries>
	</vpn-policy>
	<routing-protocols>
		<routing-protocol>
			<type>bgp</type>
			<bgp>
				...
			</bgp>			
		</routing-protocol>
	</routing-protocols>
	<site-network-accesses>
	...
	</site-network-accesses>
</sites>

"SubVPN" is a collection of sites sharing a common infrastructure "generally CE and physical/logical access" and generally CE is implementing VRF-lite to keep isolating the sub-sites between them.
This can be modeled today as a collection of sites (but with no relationship between each other). Each subVPN may also be using multiVPN.

<sites>
	<site-id>SubVPN_subsite1 </site-id>
	<vpn-policy>
		<entries>
			<id>1</id>
			<vpn>
				<vpn-id>VPN5</vpn-id>
				<site-role>spoke-role</site-role>
			</vpn>
		</entries>
	</vpn-policy>
	<routing-protocols>
		<routing-protocol>
			<type>bgp</type>
			<bgp>
				...
			</bgp>			
		</routing-protocol>
	</routing-protocols>
	<site-network-accesses>
	...
	</site-network-accesses>
</sites>
<sites>
	<site-id>SubVPN_subsite2_as_multiVPN</site-id>
	<vpn-policy>
		<entries>
			<id>1</id>
			<filter>
				<lan-tag>100</lan-tag>
			</filter>
			<vpn>
				<vpn-id>VPN1</vpn-id>
				<site-role>any-to-any</site-role>
			</vpn>
		</entries>
		<entries>
			<id>2</id>
			<filter>
				<lan-tag>200</lan-tag>
			</filter>
			<vpn>
				<vpn-id>VPN2</vpn-id>
				<site-role>any-to-any</site-role>
			</vpn>
		</entries>
	</vpn-policy>
	<routing-protocols>
		<routing-protocol>
			<type>bgp</type>
			<bgp>
				...
			</bgp>			
		</routing-protocol>
	</routing-protocols>
	<site-network-accesses>
	...
	</site-network-accesses>
</sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]] 
Sent: Friday, January 15, 2016 15:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

>From a modeling perspective, how a customer can express a part of a 
>site ? You definitely need to run in some policy details. Now we are supporting per prefix mapping (LAN config) for the VPN policy and also lan-tag which brings more "dynamicity".

All the best.
Kenichi

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Friday, January 15, 2016 14:28
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Thanks,
Kenichi

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Friday, January 15, 2016 02:20
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

We have many use cases.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, January 14, 2016 5:36 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

Best Regards,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 15:33
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

<sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract:

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Tue, 19 Jan 2016 12:06:50 +0900

Hi Stephane,

>I think you are mixing subVPN and multiVPN modeling.

Yes, I firstly tried to realize both subVPN and multiVPN by minimally extending the current multiVPN model. But, this is an option and exercise.
If we just allow to set a lan-tag under each dynamic routing protocol, bgp, ospf and rip, we can semantically map each site-network-access to each VPN.
Logical-Access-1 only talks to VPN1 and Logical-Access-2 to VPN2 in the following model, for example.

<sites>
	<site-id>subVPN-site</site-id>
	<vpn-policy>
		<entries>
			<id>1</id>
			<filter>
				<lan-tag>100</lan-tag>
			</filter>
			<vpn>
				<vpn-id>VPN1</vpn-id>
				<site-role>any-to-any</site-role>
			</vpn>
		</entries>
		<entries>
			<id>2</id>
			<filter>
				<lan-tag>200</lan-tag>
			</filter>
			<vpn>
				<vpn-id>VPN2</vpn-id>
				<site-role>any-to-any</site-role>
			</vpn>
		</entries>
	</vpn-policy>
	<site-network-accesses>
                <site-network-access>
                       <site-network-access-id>Logical-Access-1</site-network-access-id>
	                <routing-protocols>
		                <routing-protocol>
			                <type>bgp</type>
			                <bgp>
				                ...
                                              <lan-tag>100</lan-tag> <!-- allow lan-tag under bgp -->
			                </bgp>			
		                </routing-protocol>
	                </routing-protocols>
                       ...
                </site-network-access>
                <site-network-access>
                       <site-network-access-id>Logical-Access-2</site-network-access-id>
	                <routing-protocols>
		                <routing-protocol>
			                <type>bgp</type>
			                <bgp>
				                ...
                                              <lan-tag>200</lan-tag>
			                </bgp>			
		                </routing-protocol>
	                </routing-protocols>
                       ...
                </site-network-access>
	...
	</site-network-accesses>
</sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 18, 2016 5:55 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Friday, January 15, 2016 15:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

All the best.
Kenichi

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Friday, January 15, 2016 14:28
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Thanks,
Kenichi

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Friday, January 15, 2016 02:20
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

We have many use cases.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, January 14, 2016 5:36 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

Best Regards,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 15:33
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

<sites>

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 12, 2016 6:08 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

<sites>

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 02:29
To: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

 

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 11, 2016 11:37 PM
To: Ogaki, Kenichi; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Kenichi,

Brgds,

Stephane

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Monday, January 11, 2016 10:48
To: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane and All,

One more comment.

Thanks,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Tuesday, January 05, 2016 2:13 PM
To: [email-masked]; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi Stephane,

Please see inline.

All the best,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, January 05, 2016 12:09 AM
To: Ogaki, Kenichi; 'Qin Wu'; [email-masked]
Cc: [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi,

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]]
Sent: Monday, January 04, 2016 03:16
To: 'Qin Wu'; [email-masked]
Cc: LITKOWSKI Stephane SCE/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

*svc-id

[KO] I understand.

*routing-protocol

[KO] I understand.

*QoS classification

*traffic protection

*vpn-policy

*notification

ex.)

-Editorials
Sec. 5.1.2.

Sec. 5.2.

Sec. 5.2.5.7.

Sec. 6.

Happy New Year,
Kenichi

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Ogaki, Kenichi
Sent: Thursday, December 24, 2015 12:39 PM
To: 'Qin Wu'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Dear All,

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, December 23, 2015 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Hi, All:

-Qin
-----邮件原件-----
发件人: I-D-Announce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2015年12月15日 18:33
收件人: [email-masked]
抄送: [email-masked]
主题: I-D Action: draft-ietf-l3sm-l3vpn-service-model-02.txt

Abstract: